# norootforbuild

Name: pwauth
Version: 2.3.10
Release: 2.10
#
Group: Productivity/Networking/Web/Servers
License: Apache License
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pam-devel
Requires:       apache2-mod_authnz_external > 2.1.1
Requires(post): permissions
#
Url:      http://code.google.com/p/pwauth/
Source:   http://pwauth.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:  pwauth.permissions
Source2:  pwauth.pam
Source3:  pwauth.apache_conf_d
Source99: pwauth-rpmlintrc
Patch:    pwauth-2.3.10_config.patch
Patch1:   pwauth-2.3.10_makeitbuild.patch
#
Summary: A system password authenticator designed for Apache's mod_auth(nz)_external
%description
Pwauth is an authenticator designed to be used with mod_auth_external or
mod_authnz_external and the Apache HTTP Daemon to support reasonably secure web
authentication out of the system password database on most versions of Unix. 

What pwauth actually does is very simple. Given a login and a password, it
returns a status code indicating whether it is a valid login/password or not.
It is normally installed as an suid-root program, so other programs (like
Apache or a CGI program) can run it to check if a login/password is valid even
though they don't themselves have read access to the system password database.

%prep
%setup
%patch
%patch1

%build
%{__make} LOCALFLAGS="%{optflags} -Wno-comment -fPIC -DPIC" LIB="-ldl -lpam -lcrypt -pie"

%install
%{__install} -D -m 4755 pwauth    %{buildroot}%{_bindir}/%{name}
%{__install} -D -m 0755 unixgroup %{buildroot}%{_bindir}/unixgroup
%{__install} -D -m 0644 %{S:1} %{buildroot}%{_sysconfdir}/permissions.d/pwauth
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_sysconfdir}/pam.d/pwauth
%{__install} -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/apache2/conf.d/pwauth

%verifyscript
%verify_permissions -e %_bindir/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%if 0%{?set_permissions:1}
    %set_permissions /usr/bin/pwauth
%else
    %run_permissions
%endif

%files
%defattr(-,root,root,-)
%verify(not user group mode) %attr(4755,root,root) %{_bindir}/%{name}
%{_bindir}/unixgroup
%config %{_sysconfdir}/permissions.d/pwauth
%config %{_sysconfdir}/pam.d/pwauth
%dir %{_sysconfdir}/apache2
%dir %{_sysconfdir}/apache2/conf.d
%config %{_sysconfdir}/apache2/conf.d/pwauth
%doc CHANGES FORM_AUTH INSTALL README
%changelog
* Wed Sep 26 2012 pief@hollants.com
- add Apache2 configuration fragment
* Thu Sep 20 2012 pief@hollants.com
- add pam configuration file
* Thu Sep 20 2012 pieter@hollants.com
- update to 2.3.10
* Tue May 18 2010 mrueckert@suse.de
- update to 2.3.8
- fix uid in config patch, fixes bnc#457121
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Fri Apr 28 2006 mrueckert@suse.de
- Initial package of version 2.3.2
